Bug 1507936

Summary: [golang][epel6] update to 1.8+
Product: [Fedora] Fedora EPEL Reporter: Carl George <carl>
Component: golangAssignee: Jakub Čajka <jcajka>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: el6CC: admiller, amurdaca, jcajka, lemenkov, renich, vbatts
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: golang-1.9.2-1.el6 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-20 00:54:32 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Carl George 2017-10-31 13:53:35 UTC
Is there any chance that the EPEL6 golang package can be updated to 1.8 or newer?  More and more golang applications are starting to require newer golang versions in order to build.

Comment 1 Jakub Čajka 2017-11-07 08:59:06 UTC
I do plan on doing rebase to 1.9.2 after 1.7.6-2 hit stable repository. Bit unsure when it get there as I have requested push to stable ~week ago. See my post to epel-devel for more details.

On more positive note I haven't heard any objection to the rebase yet.
Also I do plan(if nobody else will step up to maintain Go in EPEL) to keep the 1.9.X around for all its life time in F27(roughly upstream support+6m).

Comment 2 Fedora Update System 2017-11-29 00:15:26 UTC
golang-1.9.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c0f2ea9e77

Comment 3 Fedora Update System 2017-12-20 00:54:32 UTC
golang-1.9.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.